<template>
	<div class="introduce">
		<jm-box :navList='navList' @navListC='navListC'>
			<!-- <div class="center"> -->
				<!-- <county v-show="navChoose == 2"></county> -->
			<!-- </div> -->
		</jm-box>
	</div>
</template>

<script>
import { getArticList,getList } from '@/request/api.js'

import jmBox from '@/components/box.vue'
	export default {
		components: {
			jmBox,
		},
		mounted() {
			this.init()
		},
		data() {
			return {
				navChoose: this.$route.params.navChoose || this.$route.query.navChoose || 0,
				navList: {
					title: '组织介绍',
					url: 'introduce',
					list: this.$store.state.introduce || []
				}
			}
		},
		methods: {
			init() {
				this.getdataList()
			},
			getdataList() {
				getList({},14).then(res => {
					this.navList.list = res.data
					this.$store.commit('setIntroduce',res.data)
				})
				
			},
			navListC(index) {
				this.navChoose = index
			}
		}
	}
</script>

<style>
</style>
